Index: tests/regression/Molecules/10/post/test-rotated-z180.xyz
===================================================================
--- tests/regression/Molecules/10/post/test-rotated-z180.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Molecules/10/post/test-rotated-z180.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	7.28356	4.4665	2.64589
+H	7.28356	4.4665	4.42589
+H	6.39365	3.20785	3.53589
+H	8.53286	2.3245	2.64589
+H	8.53286	2.3245	4.42589
+H	10.672	3.20785	3.53589
+H	9.78206	4.4665	2.64589
+H	9.78206	4.4665	4.42589
+C	7.28356	3.8372	3.53589
+C	8.53286	2.9538	3.53589
+C	9.78206	3.8372	3.53589
Index: tests/regression/Molecules/10/post/test-rotated-z360.xyz
===================================================================
--- tests/regression/Molecules/10/post/test-rotated-z360.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Molecules/10/post/test-rotated-z360.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Molecules/10/post/test-rotated-z90.xyz
===================================================================
--- tests/regression/Molecules/10/post/test-rotated-z90.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Molecules/10/post/test-rotated-z90.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	7.62252	2.30693	2.64589
+H	7.62252	2.30693	4.42589
+H	8.88117	1.41702	3.53589
+H	9.76452	3.55623	2.64589
+H	9.76452	3.55623	4.42589
+H	8.88117	5.69539	3.53589
+H	7.62252	4.80543	2.64589
+H	7.62252	4.80543	4.42589
+C	8.25182	2.30693	3.53589
+C	9.13522	3.55623	3.53589
+C	8.25182	4.80543	3.53589
Index: tests/regression/Molecules/10/pre/test.xyz
===================================================================
--- tests/regression/Molecules/10/pre/test.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Molecules/10/pre/test.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Molecules/8/post/test-rotated-xYz20.xyz
===================================================================
--- tests/regression/Molecules/8/post/test-rotated-xYz20.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Molecules/8/post/test-rotated-xYz20.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	8.35684	1.92717	6.65103
+H	6.63234	2.36823	6.65103
+H	7.80647	3.36711	7.54093
+H	8.88759	4.00235	5.4017
+H	7.1631	4.44342	5.40171
+H	7.80645	3.36705	3.26256
+H	8.35682	1.92714	4.15253
+H	6.63233	2.3682	4.15254
+C	7.65052	2.75737	6.65102
+C	7.86942	3.61321	5.40172
+C	7.65051	2.75734	4.15253
Index: tests/regression/Molecules/8/post/test-rotated-z180.xyz
===================================================================
--- tests/regression/Molecules/8/post/test-rotated-z180.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Molecules/8/post/test-rotated-z180.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	-7.64281	-2.64592	2.28661
+H	-9.42281	-2.64589	2.28661
+H	-8.53283	-3.90457	1.39672
+H	-7.64284	-4.7879	3.53594
+H	-9.42284	-4.78788	3.53594
+H	-8.53283	-3.90451	5.67509
+H	-7.64281	-2.64589	4.78511
+H	-9.42281	-2.64586	4.78511
+C	-8.53282	-3.27521	2.28662
+C	-8.53283	-4.15859	3.53593
+C	-8.53282	-3.27517	4.78512
Index: tests/regression/Molecules/8/post/test-rotated-z360.xyz
===================================================================
--- tests/regression/Molecules/8/post/test-rotated-z360.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Molecules/8/post/test-rotated-z360.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.42281	2.64589	4.78517
+H	7.64281	2.64592	4.78517
+H	8.53283	3.90457	5.67506
+H	9.42284	4.78788	3.53584
+H	7.64284	4.7879	3.53584
+H	8.53283	3.90451	1.39669
+H	9.42281	2.64586	2.28667
+H	7.64281	2.64589	2.28667
+C	8.53282	3.27521	4.78516
+C	8.53283	4.15859	3.53585
+C	8.53282	3.27517	2.28666
Index: tests/regression/Molecules/8/post/test-rotated-z90.xyz
===================================================================
--- tests/regression/Molecules/8/post/test-rotated-z90.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Molecules/8/post/test-rotated-z90.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	2.64589	-9.42281	4.78517
+H	2.64592	-7.64281	4.78517
+H	3.90457	-8.53283	5.67506
+H	4.78788	-9.42284	3.53584
+H	4.7879	-7.64284	3.53584
+H	3.90451	-8.53283	1.39669
+H	2.64586	-9.42281	2.28667
+H	2.64589	-7.64281	2.28667
+C	3.27521	-8.53282	4.78516
+C	4.15859	-8.53283	3.53585
+C	3.27517	-8.53282	2.28666
Index: tests/regression/Molecules/8/pre/test-rotated-xYz20.xyz
===================================================================
--- tests/regression/Molecules/8/pre/test-rotated-xYz20.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Molecules/8/pre/test-rotated-xYz20.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.00082	1.84611	5.02671
+H	8.52163	2.13043	6.71726
+H	9.80746	3.11525	5.979
+H	8.15645	4.09438	4.40925
+H	7.67726	4.3787	6.0998
+H	5.7441	3.62663	4.74123
+H	6.62788	2.14475	4.30388
+H	6.1487	2.42907	5.99442
+C	8.86174	2.60492	5.79677
+C	7.81634	3.61989	5.32974
+C	6.48881	2.90356	5.07393
Index: tests/regression/Molecules/8/pre/test-rotated-z180.xyz
===================================================================
--- tests/regression/Molecules/8/pre/test-rotated-z180.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Molecules/8/pre/test-rotated-z180.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	-9.78209	-2.64589	2.64589
+H	-9.78209	-2.64589	4.42589
+H	-10.672	-3.90454	3.53589
+H	-8.53279	-4.78789	2.64589
+H	-8.53279	-4.78789	4.42589
+H	-6.39363	-3.90454	3.53589
+H	-7.28359	-2.64589	2.64589
+H	-7.28359	-2.64589	4.42589
+C	-9.78209	-3.27519	3.53589
+C	-8.53279	-4.15859	3.53589
+C	-7.28359	-3.27519	3.53589
Index: tests/regression/Molecules/8/pre/test-rotated-z360.xyz
===================================================================
--- tests/regression/Molecules/8/pre/test-rotated-z360.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Molecules/8/pre/test-rotated-z360.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Molecules/8/pre/test-rotated-z90.xyz
===================================================================
--- tests/regression/Molecules/8/pre/test-rotated-z90.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Molecules/8/pre/test-rotated-z90.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	2.64589	-9.78209	2.64589
+H	2.64589	-9.78209	4.42589
+H	3.90454	-10.672	3.53589
+H	4.78789	-8.53279	2.64589
+H	4.78789	-8.53279	4.42589
+H	3.90454	-6.39363	3.53589
+H	2.64589	-7.28359	2.64589
+H	2.64589	-7.28359	4.42589
+C	3.27519	-9.78209	3.53589
+C	4.15859	-8.53279	3.53589
+C	3.27519	-7.28359	3.53589
Index: tests/regression/Molecules/9/post/test-rotated-xYz20.xyz
===================================================================
--- tests/regression/Molecules/9/post/test-rotated-xYz20.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Molecules/9/post/test-rotated-xYz20.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.00082	1.84611	5.02671
+H	8.52163	2.13043	6.71726
+H	9.80746	3.11525	5.979
+H	8.15645	4.09438	4.40925
+H	7.67726	4.3787	6.0998
+H	5.7441	3.62663	4.74123
+H	6.62788	2.14475	4.30388
+H	6.1487	2.42907	5.99442
+C	8.86174	2.60492	5.79677
+C	7.81634	3.61989	5.32974
+C	6.48881	2.90356	5.07393
Index: tests/regression/Molecules/9/post/test-rotated-z180.xyz
===================================================================
--- tests/regression/Molecules/9/post/test-rotated-z180.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Molecules/9/post/test-rotated-z180.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	-9.78209	-2.64589	2.64589
+H	-9.78209	-2.64589	4.42589
+H	-10.672	-3.90454	3.53589
+H	-8.53279	-4.78789	2.64589
+H	-8.53279	-4.78789	4.42589
+H	-6.39363	-3.90454	3.53589
+H	-7.28359	-2.64589	2.64589
+H	-7.28359	-2.64589	4.42589
+C	-9.78209	-3.27519	3.53589
+C	-8.53279	-4.15859	3.53589
+C	-7.28359	-3.27519	3.53589
Index: tests/regression/Molecules/9/post/test-rotated-z360.xyz
===================================================================
--- tests/regression/Molecules/9/post/test-rotated-z360.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Molecules/9/post/test-rotated-z360.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Molecules/9/post/test-rotated-z90.xyz
===================================================================
--- tests/regression/Molecules/9/post/test-rotated-z90.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Molecules/9/post/test-rotated-z90.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	2.64589	-9.78209	2.64589
+H	2.64589	-9.78209	4.42589
+H	3.90454	-10.672	3.53589
+H	4.78789	-8.53279	2.64589
+H	4.78789	-8.53279	4.42589
+H	3.90454	-6.39363	3.53589
+H	2.64589	-7.28359	2.64589
+H	2.64589	-7.28359	4.42589
+C	3.27519	-9.78209	3.53589
+C	4.15859	-8.53279	3.53589
+C	3.27519	-7.28359	3.53589
Index: tests/regression/Molecules/9/pre/test.xyz
===================================================================
--- tests/regression/Molecules/9/pre/test.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Molecules/9/pre/test.xyz	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Aug  6 15:40:35 2010
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Simple_configuration/3/post/empty.conf
===================================================================
--- tests/regression/Simple_configuration/3/post/empty.conf	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Simple_configuration/3/post/empty.conf	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,70 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	0	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	0	# check every ..th steps
+MaxMinGapStopStep	0	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	0	# check every ..th steps
+InitMaxMinGapStopStep	0	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+20	
+0	20	
+0	0	20	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	0	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	0	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
Index: tests/regression/Simple_configuration/5/pre/test.conf
===================================================================
--- tests/regression/Simple_configuration/5/pre/test.conf	(revision 8e463e3743873aa2485a58f66cc88fde13f11d11)
+++ tests/regression/Simple_configuration/5/pre/test.conf	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -28,5 +28,5 @@
 OutSrcStep	5	# Output "restart" data every ..th step
 TargetTemp	0.000950045	# Target temperature
-MaxPsiStep	0	# number of Minimisation steps per state (0 - default)
+MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
 EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
 
@@ -35,6 +35,6 @@
 RelEpsTotalE	1e-07	# relative change in total energy
 RelEpsKineticE	1e-05	# relative change in kinetic energy
-MaxMinStopStep	0	# check every ..th steps
-MaxMinGapStopStep	0	# check every ..th steps
+MaxMinStopStep	1	# check every ..th steps
+MaxMinGapStopStep	1	# check every ..th steps
 
 # Values specifying when to stop for INIT, otherwise same as above
@@ -42,6 +42,6 @@
 InitRelEpsTotalE	1e-05	# relative change in total energy
 InitRelEpsKineticE	0.0001	# relative change in kinetic energy
-InitMaxMinStopStep	0	# check every ..th steps
-InitMaxMinGapStopStep	0	# check every ..th steps
+InitMaxMinStopStep	1	# check every ..th steps
+InitMaxMinGapStopStep	1	# check every ..th steps
 
 BoxLength			# (Length of a unit cell)
@@ -54,8 +54,8 @@
 Level0Factor	2	# factor by which node number increases from S to 0 level
 RiemannTensor	0	# (Use metric)
-PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+PsiType		1	# 0 - doubly occupied, 1 - SpinUp,SpinDown
 MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
 PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
-PsiMaxNoDown	0	# here: specifying maximum number of SpinDown-states
+PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
 AddPsis		0	# Additional unoccupied Psis for bandgap determination
 
Index: tests/regression/Simple_configuration/8/post/test-cuboid.xyz-sorted
===================================================================
--- tests/regression/Simple_configuration/8/post/test-cuboid.xyz-sorted	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Simple_configuration/8/post/test-cuboid.xyz-sorted	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,4 @@
+C	9.78209	3.27519	3.53589
+H	10.672	3.90454	3.53589
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
Index: tests/regression/Simple_configuration/8/post/test-sphere.xyz-sorted
===================================================================
--- tests/regression/Simple_configuration/8/post/test-sphere.xyz-sorted	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
+++ tests/regression/Simple_configuration/8/post/test-sphere.xyz-sorted	(revision 49a1362bb32b57e917e16bb423d8f5a7ec95ac2f)
@@ -0,0 +1,144 @@
+C	7.28359	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	9.78209	3.27519	3.53589
+H	0.758602	2.85714	2.85714
+H	0.758602	2.85714	3.86571
+H	0.758602	2.85714	5.71429
+H	0.758602	5.71429	2.85714
+H	0.758602	5.71429	3.86571
+H	10.672	3.90454	3.53589
+H	12.1872	0	0
+H	12.1872	0	1.00857
+H	12.1872	0	2.85714
+H	12.1872	0	3.86571
+H	12.1872	0	5.71429
+H	12.1872	0	6.72285
+H	12.1872	2.85714	0
+H	12.1872	2.85714	1.00857
+H	12.1872	2.85714	5.71429
+H	12.1872	2.85714	6.72285
+H	12.1872	5.71429	0
+H	12.1872	5.71429	1.00857
+H	12.1872	5.71429	2.85714
+H	12.1872	5.71429	3.86571
+H	12.1872	5.71429	5.71429
+H	12.1872	5.71429	6.72285
+H	3.61574	0	0
+H	3.61574	0	1.00857
+H	3.61574	0	2.85714
+H	3.61574	0	3.86571
+H	3.61574	0	5.71429
+H	3.61574	0	6.72285
+H	3.61574	2.85714	0
+H	3.61574	2.85714	1.00857
+H	3.61574	2.85714	2.85714
+H	3.61574	2.85714	3.86571
+H	3.61574	2.85714	5.71429
+H	3.61574	2.85714	6.72285
+H	3.61574	2.85714	8.57143
+H	3.61574	5.71429	0
+H	3.61574	5.71429	1.00857
+H	3.61574	5.71429	2.85714
+H	3.61574	5.71429	3.86571
+H	3.61574	5.71429	5.71429
+H	3.61574	5.71429	6.72285
+H	3.61574	5.71429	8.57143
+H	3.61574	8.57143	1.00857
+H	3.61574	8.57143	2.85714
+H	3.61574	8.57143	3.86571
+H	3.61574	8.57143	5.71429
+H	6.39363	3.90454	3.53589
+H	6.47289	0	0
+H	6.47289	0	1.00857
+H	6.47289	0	2.85714
+H	6.47289	0	3.86571
+H	6.47289	0	5.71429
+H	6.47289	0	6.72285
+H	6.47289	0	8.57143
+H	6.47289	0	9.58
+H	6.47289	2.85714	0
+H	6.47289	2.85714	6.72285
+H	6.47289	2.85714	8.57143
+H	6.47289	2.85714	9.58
+H	6.47289	5.71429	0
+H	6.47289	5.71429	1.00857
+H	6.47289	5.71429	5.71429
+H	6.47289	5.71429	6.72285
+H	6.47289	5.71429	8.57143
+H	6.47289	5.71429	9.58
+H	6.47289	8.57143	0
+H	6.47289	8.57143	1.00857
+H	6.47289	8.57143	2.85714
+H	6.47289	8.57143	3.86571
+H	6.47289	8.57143	5.71429
+H	6.47289	8.57143	6.72285
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	9.33003	0	0
+H	9.33003	0	1.00857
+H	9.33003	0	2.85714
+H	9.33003	0	3.86571
+H	9.33003	0	5.71429
+H	9.33003	0	6.72285
+H	9.33003	0	8.57143
+H	9.33003	2.85714	0
+H	9.33003	2.85714	6.72285
+H	9.33003	2.85714	8.57143
+H	9.33003	2.85714	9.58
+H	9.33003	5.71429	0
+H	9.33003	5.71429	6.72285
+H	9.33003	5.71429	8.57143
+H	9.33003	5.71429	9.58
+H	9.33003	8.57143	0
+H	9.33003	8.57143	1.00857
+H	9.33003	8.57143	2.85714
+H	9.33003	8.57143	3.86571
+H	9.33003	8.57143	5.71429
+H	9.33003	8.57143	6.72285
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+O	11.4286	0	0.504284
+O	11.4286	0	3.36143
+O	11.4286	0	6.21857
+O	11.4286	2.85714	0.504284
+O	11.4286	2.85714	6.21857
+O	11.4286	2.85714	9.07571
+O	11.4286	5.71429	0.504284
+O	11.4286	5.71429	6.21857
+O	11.4286	8.57143	3.36143
+O	2.85714	0	0.504284
+O	2.85714	0	3.36143
+O	2.85714	0	6.21857
+O	2.85714	2.85714	0.504284
+O	2.85714	2.85714	3.36143
+O	2.85714	2.85714	6.21857
+O	2.85714	5.71429	0.504284
+O	2.85714	5.71429	3.36143
+O	2.85714	5.71429	6.21857
+O	2.85714	8.57143	3.36143
+O	5.71429	0	0.504284
+O	5.71429	0	3.36143
+O	5.71429	0	6.21857
+O	5.71429	0	9.07571
+O	5.71429	2.85714	0.504284
+O	5.71429	2.85714	6.21857
+O	5.71429	2.85714	9.07571
+O	5.71429	5.71429	0.504284
+O	5.71429	5.71429	6.21857
+O	5.71429	5.71429	9.07571
+O	5.71429	8.57143	0.504284
+O	5.71429	8.57143	3.36143
+O	5.71429	8.57143	6.21857
+O	8.57143	0	0.504284
+O	8.57143	0	3.36143
+O	8.57143	0	6.21857
+O	8.57143	0	9.07571
+O	8.57143	2.85714	0.504284
+O	8.57143	2.85714	9.07571
+O	8.57143	5.71429	0.504284
+O	8.57143	5.71429	9.07571
+O	8.57143	8.57143	0.504284
+O	8.57143	8.57143	3.36143
+O	8.57143	8.57143	6.21857
